[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[committed] Add twice-hardlink.sh test-case



Hi,

Add a test-case that tests that hardlinks are maintained when files cannot be
compressed further.

Committed to trunk.

Thanks,
- Tom

Add twice-hardlink.sh test-case

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-hardlink.sh: New test.

---
 testsuite/dwz.tests/twice-hardlink.sh | 36 +++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/testsuite/dwz.tests/twice-hardlink.sh b/testsuite/dwz.tests/twice-hardlink.sh
new file mode 100644
index 0000000..207e18d
--- /dev/null
+++ b/testsuite/dwz.tests/twice-hardlink.sh
@@ -0,0 +1,36 @@
+cp ../hello 1
+ln 1 2
+
+dwz -h 1 2
+
+smaller-than.sh 1 ../hello
+
+hardlinks-p.sh 1 2
+
+cp 1 1.saved
+
+if dwz -h 1 2 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+rm -f 1 1.saved 2 2.saved dwz.err
+
+if [ -f 2.#dwz#.* ]; then
+    echo "PR24275 workaround used" > dwz.info
+    rm -f 2.#dwz#.*
+fi